import * as core from "@terrascript/core";

export interface CacheArgs extends core.ResourceArgs {
  diskId: string | core.StringOut;

  gatewayArn: string | core.StringOut;
}

export class Cache extends core.Resource<CacheArgs> {
  @core.attr(String)
  public diskId!: string | core.StringOut;

  @core.attr(String)
  public gatewayArn!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: CacheArgs) {
    super(name, "aws_storagegateway_cache", args);
  }

  public override getNamespace(): string {
    return "aws_storagegateway";
  }
}
